---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: xai-corp-production-tls
  namespace: default
spec:
  # Secret names are always required.
  secretName: xai-corp-production-tls
  issuerRef:
    name: letsencrypt-production
    kind: ClusterIssuer
  commonName: xai-corp.net
  dnsNames:
    - xai-corp.net
    - git.xai-corp.net
#    - tunedb.xai-corp.net
    - www.xai-corp.net
    - xaibox.xai-corp.net
    - sql.xai-corp.net
#    - cik.xai-corp.net
    - stash.xai-corp.net
    - dkregistry.xai-corp.net
    - funkwhale.xai-corp.net
#    - backstage.xai-corp.net
  acme:
    config:
      - http01:
          ingressClass: traefik
        domains:
          - xai-corp.net
#      - http01:
#          ingress: certs-ingress
#        domains:
#          - hello.xai-corp.net
#          - sql.xai-corp.net
